Subject: bug#6339: url-filename => "/c:/some/file.txt"

From: Lennart Borgman <[email-masked]>
Date: Sat, 24 Sep 2011 11:46:48 +0200

On Sat, Sep 24, 2011 at 05:35, Jason Rumney <[email-masked]> wrote:
> Juanma Barranquero <[email-masked]> writes:
>
>> file:///c:/some/file.txt is a URL, i.e., it's a pointer to some
>> specific file in some specific place (or files with identical path and
>> name in different hosts, because the URL is missing the HOST part,
>> defaulting then to localhost). In fact, it is the URL that points to a
>> file, in some filesystem, with absolute path "c:/some/file.txt".
>
> No. That is not an absolute path on most platforms.

This is not about absolute path in the platform syntax. It is an
absolute path as understood as part of an URL. That has to be
translated to a platform path.